//////// MCU ////////
#include <mega8.h>
#include <stdio.h>
#include <delay.h>

#define ADDR PINC
#define OUT  PIND.7

unsigned char  lamp[110],j,BreakCounter = 0;
char addr;
    
void init_uart()
{
  // USART initialization
// Communication Parameters: 8 Data, 2 Stop, No Parity
// USART Receiver: On
// USART Transmitter: Off
// USART Mode: Asynchronous
// USART Baud Rate: 250000
UCSRA=0x00;
UCSRB=0x10;
UCSRC=0x8E;
UBRRH=0x00;
UBRRL=0x03;
}

void init_io(){

// Input/Output Ports initialization
// Port B initialization
// Func7=In Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In 
// State7=T State6=T State5=T State4=T State3=T State2=T State1=T State0=T 
PORTB=0x00;
DDRB=0x00;

// Port C initialization
// Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In 
// State6=T State5=T State4=T State3=T State2=T State1=T State0=T 
PORTC=0x00;
DDRC=0x00;


}

void init_int(){

// External Interrupt(s) initialization
// INT0: On
// INT0 Mode: Rising Edge
// INT1: Off
GICR|=0x40;
MCUCR=0x03;
GIFR=0x40;
// Global enable interrupts
#asm("sei")

}

void init_micro(){

char i;

    init_io();
    init_uart();
    init_int();          
    
    for(i=0; i<=109;i++)lamp[i]=0;

}