//////// MCU ////////
#include <mega16.h>
#include <stdio.h>
#include <delay.h>

#define UP      PINB.0
#define DOWN    PINB.1
#define ADDR    PINA

char lamp[100];
    
void init_uart()
{
// USART initialization
// Communication Parameters: 8 Data, 2 Stop, No Parity
// USART Receiver: Off
// USART Transmitter: On
// USART Mode: Asynchronous
// USART Baud Rate: 250000
UCSRA=0x00;
UCSRB=0x08;
UCSRC=0x8E;
UBRRH=0x00;
UBRRL=0x03;

}



//****************************************************************************************************************
void UartEnable(void)
{
PORTD.1 = 1;
DDRD.1 = 0; //PORTD.1 as Input
UCSRB=0x08;
}
//****************************************************************************************************************
void UartDisable(void)
{
PORTD.1 = 1;
DDRD.1 = 1; //PORTD.1 as output
UCSRB=0x00;
}
//****************************************************************************************************************
void Wait( unsigned long int delay )
{
unsigned long int jj;
for( jj=0; jj<delay; jj++ ){};
}



void init_io(){

// Input/Output Ports initialization
// Port A initialization
// Func7=In Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In 
// State7=T State6=T State5=T State4=T State3=T State2=T State1=T State0=T 
PORTA=0x00;
DDRA=0x00;

// Port B initialization
// Func7=In Func6=In Func5=In Func4=In Func3=In Func2=In Func1=In Func0=In 
// State7=T State6=T State5=T State4=T State3=T State2=T State1=P State0=P 
PORTB=0x03;
DDRB=0x00;


}

void init_micro(){
 

   
char i;
    init_io();
    init_uart();
    
    for(i=0; i<=100;i++)lamp[i]=0;

}